View Issue Details

IDProjectCategoryView StatusLast Update
0016446mantisbtapi soappublic2014-12-08 00:34
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0016446: Merge MantisConnect configs into MantisBT standard configs
Description

Instead of having config_defaults_inc.php, config_inc.php, mc_config_defaults_inc.php and mc_config_inc.php, just fold them all into the standard MantisBT config.

As part of that, make sure the following is covered:

  • Update admin/check to complain when the old configs exist.
  • Should we handle the case where the admin doesn't run admin/check?
  • Make sure obsolete marks the nusoap config as obsolete.
TagsNo tags attached.

Relationships

related to 0014088 closedvboctor Mantis 1.3.0 blocking issues 

Activities

dregad

dregad

2013-10-04 04:26

developer   ~0038200

  • Should we handle the case where the admin doesn't run admin/check?

Slightly off-topic, but IMO we should redirect to admin/check from the install page, so that a check is executed at least once after initial setup as well as following each upgrade.

Related Changesets

MantisBT: master 4b173463

2014-04-22 23:24:57

mantishub

Details Diff
Fixes 0016850: Add config folder for customization files
Fixes 0016446: Merge MantisConnect configs into MantisBT standard configs.

This change adds a config folder that includes all custom_*_inc.php files and config_inc.php file.

The SOAP API configs are now also merged into the standard configs. The fact that the separate configs was from the days where MantisConnect web service was separate from MantisBT. Now it is just confusing.

This change includes the addition of a configurable config path that can be set via an environment variable (MANTIS_CONFIG_FOLDER) or defaulted to MantisBT config subfolder. The change also includes all the necessary validation in admin/check/ and admin/install.php.

Conflicts:
api/soap/mc_config_defaults_inc.php
mod - .gitignore Diff File
mod - admin/check/check_config_inc.php Diff File
mod - admin/check/check_integrity_inc.php Diff File
mod - admin/check/check_paths_inc.php Diff File
mod - admin/check/check_webservice_inc.php Diff File
mod - admin/install.php Diff File
mod - admin/test_email.php Diff File
mod - api/soap/mantisconnect.php Diff File
mod - api/soap/mc_api.php Diff File
rm - api/soap/mc_config_defaults_inc.php Diff File
mod - api/soap/mc_core.php Diff File
mod - api/soap/mc_enum_api.php Diff File
mod - api/soap/mc_issue_api.php Diff File
add - config/.htaccess Diff File
mod - config_defaults_inc.php Diff File
mod - core.php Diff File
mod - core/crypto_api.php Diff File
mod - core/lang_api.php Diff File
mod - core/obsolete.php Diff File
mod - core/relationship_api.php Diff File
mod - docbook/Admin_Guide/en-US/Configuration.xml Diff File
mod - docbook/Admin_Guide/en-US/Customizing.xml Diff File
mod - readme.md Diff File
mod - scripts/travis_before_script.sh Diff File
mod - tests/TestConfig.php Diff File

Issue History

Date Modified Username Field Change
2013-10-03 13:14 vboctor New Issue
2013-10-03 13:14 vboctor Relationship added related to 0014088
2013-10-04 04:26 dregad Note Added: 0038200
2014-04-18 01:44 vboctor Assigned To => vboctor
2014-04-18 01:44 vboctor Status new => assigned
2014-04-22 23:52 mantishub Changeset attached => MantisBT master 4b173463
2014-04-22 23:52 mantishub Assigned To vboctor => mantishub
2014-04-22 23:52 mantishub Status assigned => resolved
2014-04-22 23:52 mantishub Resolution open => fixed
2014-04-22 23:52 mantishub Fixed in Version => 1.3.0-beta.1
2014-05-09 16:09 atrol Assigned To mantishub => vboctor
2014-12-08 00:34 vboctor Status resolved => closed